# Uses of Class
org.apache.zookeeper.server.quorum.Vote

Packages that use Vote
Package
Description
org.apache.zookeeper.server.quorum

## Uses of Vote in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return Vote
Modifier and Type
Method
Description
`Vote`
QuorumPeer.`getCurrentVote()`
`Vote`
FastLeaderElection.`getVote()`
`Vote`
Election.`lookForLeader()`
`Vote`
FastLeaderElection.`lookForLeader()`
Starts a new round of leader election.
Methods in org.apache.zookeeper.server.quorum with parameters of type Vote
Modifier and Type
Method
Description
`protected SyncedLearnerTracker`
FastLeaderElection.`getVoteTracker(Map<Long,Vote> votes, Vote vote)`
Given a set of votes, return the SyncedLearnerTracker which is used to determines if have sufficient to declare the end of the election round.
`void`
QuorumPeer.`setCurrentVote(Vote v)`
Method parameters in org.apache.zookeeper.server.quorum with type arguments of type Vote
Modifier and Type
Method
Description
`protected boolean`
FastLeaderElection.`checkLeader(Map<Long,Vote> votes, long leader, long electionEpoch)`
In the case there is a leader elected, and a quorum supporting this leader, we have to check if the leader has voted and acked that it is leading.
`protected SyncedLearnerTracker`
FastLeaderElection.`getVoteTracker(Map<Long,Vote> votes, Vote vote)`
Given a set of votes, return the SyncedLearnerTracker which is used to determines if have sufficient to declare the end of the election round.